Seeking help installing latest darktable

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Re: Seeking help installing latest darktable (newbie here)

Postby sabayonino » Thu Nov 17, 2011 15:56

yaeld wrote:I tried to type layman -fa sabayon-distro but it didn't work. What am I suppose to do really?

Code: Select all
sabayon yaeld # layman -fa sabayon-distro

 * Fetching remote list,...
 * RemoteDB.cache(); Failed to update the overlay list from: http://www.gentoo.org/proj/en/overlays/repositories.xml
 * IOError was:<urlopen error [Errno -2] Name or service not known>
 *

 * Adding overlay,...
 * Adding repository "sabayon-distro" failed!

 * CLI: Errors occured processing action fetch
 * RemoteDB.cache(); Failed to update the overlay list from: http://www.gentoo.org/proj/en/overlays/repositories.xml
 * IOError was:<urlopen error [Errno -2] Name or service not known>
 *

 * CLI: Errors occured processing action add
 * Adding repository "sabayon-distro" failed!

sabayon yaeld # layman -s abayon-distro

 * Fetching remote list,...
 * Remote list already up to date: http://www.gentoo.org/proj/en/overlays/repositories.xml
 * Last-modified: Tue, 15 Nov 2011 17:15:13 GMT
 * Fetch Ok

 * Syncing selected overlays,...
 *
 * Errors:
 * ------
 * Failed to select overlay "abayon-distro".
 * Error was: Exception: Overlay "abayon-distro" does not exist.
 *

 * CLI: Errors occured processing action sync
 *
 * Errors:
 * ------
 * Failed to select overlay "abayon-distro".
 * Error was: Exception: Overlay "abayon-distro" does not exist.
 *

sabayon yaeld # layman -fa sabayon-distro

 * Fetching remote list,...
 * Remote list already up to date: http://www.gentoo.org/proj/en/overlays/repositories.xml
 * Last-modified: Tue, 15 Nov 2011 17:15:13 GMT
 * Fetch Ok

 * Adding overlay,...
 * Adding repository "sabayon-distro" failed!

 * CLI: Errors occured processing action add
 * Adding repository "sabayon-distro" failed!


run as root :
Code: Select all
# equo install dev-vcs/git


retry with layman's cmands
User avatar
sabayonino
Sagely Hen
 
Posts: 2679
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Seeking help installing latest darktable (newbie here)

Postby yaeld » Thu Nov 17, 2011 16:35

thanks I did that. Then I did a equo update --force and I'm still not getting the latest version.
I'm going to install the daily build I download yesterday and I'll see from there.
thanks
yaeld
Baby Hen
 
Posts: 9
Joined: Wed Nov 16, 2011 18:24

Re: Seeking help installing latest darktable (newbie here)

Postby res0r9lm2 » Thu Nov 17, 2011 17:55

sabayonino wrote:
res0r9lm2 wrote:overlay was split into sabayon and sabayon-distro. When synced I got message to remove and re-add sabayon you would want to add sabayon-distro too if your using sabayon. You sync command isn't right from what I see

Code: Select all
emerge --sync && layman -s sabayon

or if you want to sync all your overlays

Code: Select all
emerge --sync && layman -S



Hi

Sabayon's Overlay was spllitted

Please see http://www.sabayon.org/article/splittin ... on-overlay

Now Entropy/Equo are in sabayon-distro overlay. please sync this

know it was split. Read my first sentence again.
res0r9lm2
Simple Hen
 
Posts: 44
Joined: Mon Oct 24, 2011 17:52

Re: Seeking help installing latest darktable (newbie here)

Postby yaeld » Thu Nov 17, 2011 18:39

that daily build worked after I did all the equo updates and so on.
thanks for helping me out.

Now I'll try to figure out out to install Bibble5 from emerge.
doing a emerge --sync and then will try emerge install bibble5
yaeld
Baby Hen
 
Posts: 9
Joined: Wed Nov 16, 2011 18:24

Re: Seeking help installing latest darktable (newbie here)

Postby yaeld » Thu Nov 17, 2011 18:57

Shall I start a new post for installing bibble5?

I followed the direction from here: viewtopic.php?f=86&t=25304

and I got this result:
Code: Select all
sabayon yaeld # emerge bibble5

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 2) media-libs/libpng-1.2.46
 * libpng-1.2.46.tar.xz RMD160 SHA1 SHA256 size ;-) ...                  [ ok ]
>>> Unpacking source...
>>> Unpacking libpng-1.2.46.tar.xz to /var/tmp/portage/media-libs/libpng-1.2.46/work
>>> Source unpacked in /var/tmp/portage/media-libs/libpng-1.2.46/work
>>> Preparing source in /var/tmp/portage/media-libs/libpng-1.2.46/work/libpng-1.2.46 ...
 * Running elibtoolize in: libpng-1.2.46/
 *   Applying portage/2.2 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.2.6 patch ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-libs/libpng-1.2.46/work/libpng-1.2.46 ...
 * econf: updating libpng-1.2.46/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating libpng-1.2.46/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --disable-static
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for i686-pc-linux-gnu-gcc... no
checking for gcc... no
checking for i686-pc-linux-gnu-cc... no
checking for cc... no
checking for i686-pc-linux-gnu-cl.exe... no
checking for cl.exe... no
configure: error: in `/var/tmp/portage/media-libs/libpng-1.2.46/work/libpng-1.2.46':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/libpng-1.2.46/work/libpng-1.2.46/config.log
 * ERROR: media-libs/libpng-1.2.46 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 1101:  Called econf '--disable-static'
 *     ebuild.sh, line  561:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you need support, post the output of 'emerge --info =media-libs/libpng-1.2.46',
 * the complete build log and the output of 'emerge -pqv =media-libs/libpng-1.2.46'.
 * The complete build log is located at '/var/tmp/portage/media-libs/libpng-1.2.46/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/libpng-1.2.46/temp/environment'.
 * S: '/var/tmp/portage/media-libs/libpng-1.2.46/work/libpng-1.2.46'

>>> Failed to emerge media-libs/libpng-1.2.46, Log file:

>>>  '/var/tmp/portage/media-libs/libpng-1.2.46/temp/build.log'

 * Messages for package media-libs/libpng-1.2.46:

 * ERROR: media-libs/libpng-1.2.46 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 1101:  Called econf '--disable-static'
 *     ebuild.sh, line  561:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you need support, post the output of 'emerge --info =media-libs/libpng-1.2.46',
 * the complete build log and the output of 'emerge -pqv =media-libs/libpng-1.2.46'.
 * The complete build log is located at '/var/tmp/portage/media-libs/libpng-1.2.46/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/libpng-1.2.46/temp/environment'.
 * S: '/var/tmp/portage/media-libs/libpng-1.2.46/work/libpng-1.2.46'

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


it looks like that libpng is having issue I did a equo install libpng and redid the merge but same problem
yaeld
Baby Hen
 
Posts: 9
Joined: Wed Nov 16, 2011 18:24

Previous

Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest